from optim import Armijo
from loss import Exercise1, Exercise2
from time import sleep


def ex1(n_step):
    loss_f = Exercise1()
    optimizer = Armijo(loss_f, dim_x=3)
    optimizer.step(n_step)

def ex2_1(n_step):
    loss_f = Exercise2()
    optimizer = Armijo(loss_f, init_x = [0.5])
    optimizer.step(n_step)

def ex2_2(n_step):
    loss_f = Exercise2()
    optimizer = Armijo(loss_f, init_x = [2.])
    optimizer.step(n_step)


if __name__ == '__main__':
    print('\n\nExercise 1:')
    ex1(100)
    sleep(2)

    print('\n\nExercise 2(Initial X is 0.5):')
    ex2_1(100)
    sleep(2)

    print('\n\nExercise 2(Initial X is 2.):')
    ex2_2(100)
